# Premise #

Submitting resources to blasphemer can be done using pull requests on github, or just posting your work to the forums or on discord. 

https://www.doomworld.com/vb/freedoom/70732-blasphemer-discussion/

https://discord.gg/M7jhmw9zn4

If you have found a bug or other issue, you can post them to the issues page on github.

https://github.com/Blasphemer/blasphemer/issues

# Contribution Guidelines #

Please follow these guidelines when contributing to the project.

# The Most Important Thing #

This is an open content project, and as such, must adhere to strict licensing rules.  Content that you submit must be compatible with the revised BSD license.  DO NOT submit material from random websites; much "free" content on the web is still under copyright to someone and cannot be included.  You may suggest material from [OpenGameArt](http://OpenGameArt.org) if it fits the criteria below.

  * Public Domain material is allowed, ONLY if it is unambiguously Public Domain.  Beware of sites which claim their material is "public domain" while admitting that the sources are unknown: in all likelihood they are in fact copyrighted to someone and may NOT be used.
  * CC0 licensed material is allowed.
  * GPL material is NOT allowed.
  * CC-NC, CC-SA, and CC-ND material is NOT allowed.
  * CC-BY material is uncertain--we need more legal advice on this one, until then, we cannot accept it.
  * Other licenses should be assumed to be NOT allowed.
  * Be aware that the BSD license allows for modification and commercial use, however, the official Blasphemer releases are, and will remain, free of charge.  

# General Concerns #

  * Please consider filling in slots that have no suitable assets before making replacements to slots that already have assets.
  * Although you should keep the above point in mind, we do accept replacements for assets that are already filled in, but only if there's a clear improvement offered.  If you're unsure, run a sample of your work by us before continuing.
  * The goal of the project is NOT to make things look and sound just like Heretic, that would be pointless.  Consider the Plaguewielder Crossbow as being at the maximum level of similarity to Heretic's assets that is desired.  Be creative!
  * The game themes are primarily inspired by dark fantasy, black metal culture and Lovecraftian horror.
  * While we appreciate having unique content, the nature of this project means that you may feel free to submit material you create for it to any other project you wish, as well.

# Graphics #

  * Use the included palette to ensure that things will look OK in-game.
  * The shiny-plastic appearance found in some sprites derived from 3D models is NOT desired.  Either hand-edit after rendering, or make the model renders less shiny.
  * We don't use models in the mainline releases, but some ports may support them, so if you make sprites out of models, the models themselves are also worth contributing.  We may make an optional add-on including them if we get any.
  * Monsters should be evil and demonic looking, and the stronger they are, the weirder and more alien they ought to be.
  * For the most expedient inclusion of graphics, please submit them as a non-transparent .GIF with areas that should be transparent in-game filled with RGB color 0 47 47 (hex 002f2f).  This is the format our DeuTex compilation tool uses and other formats have to be converted by our commit team before inclusion.  

# Levels #

  * Target map format is standard plus limit removal. Do not use port-specific map features.
  * Episode 1 theme is towns, castles, cathedrals, etc.
  * Episode 2 theme is wastelands and ruins.
  * Episode 3 theme is a warped, alien world.
  * Include the end boss enemy only in E3M8.
  * Deathmatch maps should not include monsters.
